
Redmine - Patch #33244

Replace "**" method with bitwise left shift in Tracker#disabled_core_fields and Tracker#core_fields

2020-04-02 23:27 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version: 4.2.0   

Description

this patch replaces a power function with a less expensive shift

Associated revisions

Revision 19750 - 2020-05-04 03:51 - Go MAEDA

Replace "**" method with bitwise left shift in Tracker#disabled_core_fields and Tracker#core_fields (#33244).

Patch by Pavel Rosický.

History

#1 - 2020-04-03 00:26 - Go MAEDA

- Target version set to 4.2.0

Setting the target version to 4.2.0.

#2 - 2020-05-04 03:52 - Go MAEDA

- Subject changed from Optimize core fields to Replace "**" method with bitwise left shift in Tracker#disabled_core_fields and Tracker#core_fields

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.

Files

tracker.rb.patch 759 Bytes 2020-04-02 Pavel Rosický
